# create

abstract fun create(dependencyNotation: CharSequence): ExternalModuleDependency

Create an ExternalModuleDependency from the `"group:name:version:classifier@extension"` notation.

Classifier and extension may each separately be omitted. Version may be omitted if there is no classifier.

#### Return

the new dependency

#### Parameters

dependencyNotation

the dependency notation

abstract fun create(@Nullable group: @Nullable String, name: String, @Nullable version: @Nullable String): ExternalModuleDependency

Create an ExternalModuleDependency from a series of strings.

#### Return

the new dependency

#### Parameters

group

the group (optional)

name

the name

version

the version (optional)

abstract fun create(@Nullable group: @Nullable String, name: String, @Nullable version: @Nullable String, @Nullable classifier: @Nullable String, @Nullable extension: @Nullable String): ExternalModuleDependency

Create an ExternalModuleDependency from a series of strings.

#### Return

the new dependency

#### Parameters

group

the group (optional)

name

the name

version

the version (optional)

classifier

the classifier (optional)

extension

the extension (optional)

abstract fun create(fileCollection: FileCollection): FileCollectionDependency

Create a FileCollectionDependency from a FileCollection.

#### Return

the new dependency

#### Parameters

fileCollection

the file collection

abstract fun create(project: Project): ProjectDependency

Create a ProjectDependency from a Project.

#### Return

the new dependency

#### Parameters

project

the project